Loading...
Searching...
No Matches
Tracing.h File Reference

Defines the lowering pass that injects print statements when tracing is turned on. More...

`#include <map>`
`#include <string>`
`#include <vector>`
`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::inject_tracing (Stmt, const std::string &pipeline_name, bool trace_pipeline, const std::map< std::string, Function > &env, const std::vector< Function > &outputs, const Target &Target)
| Take a statement representing a halide pipeline, inject calls to tracing functions at interesting points, such as allocations.

## Detailed Description

Defines the lowering pass that injects print statements when tracing is turned on.

Definition in file Tracing.h.